#pragma once
#include "gameobject.h"

class Panel :
	public GameObject
{
private:
	Panel(void){};
	float m_scale;
	GLuint m_gllist;
	float m_angle;
	dJointID m_hinge_joint;
	dBodyID m_hinge_body;				// the body

public:
	Panel(std::string filename, Physics *m_physics, float x, float y, float z);
	~Panel(void);
	void draw(void);
	void addForceXYZ(double x, double y, double z);
	void addTorqueXYZ(double x, double y, double z);
	void addTorqueOnAxis(double force);
	void update();
	void setAngle(float angle);
};
