#pragma once
#include "SDL.h"
#include <gl\glaux.h>		// Header File For The Glaux Library
#include <gl\gl.h>
#include <stdio.h>			// Header File For Standard Input/Output
#include <string>			// much! better than char*


class TextScreen{
	TextScreen(void);
	GLuint m_texture;
	float m_alpha;
	float m_size;
	float m_fadestep;
	int m_times_seen;
public:
	~TextScreen(void);
	TextScreen(std::string m_Filename);
	void draw(void);
	float getAlpha(void);
	void setAlpha(float alpha);
	int getTimesSeen(void);
	void resetTimesSeen(void);

};
