#ifndef FLIPPAR_H_
#define FLIPPAR_H_

#ifdef WIN32
#include <windows.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <math.h>
#include <GL/gl.h>										
#include <GL/glu.h>

#include <SDL.h>
#include <SDL_opengl.h>

static const unsigned int SCREEN_WIDTH = 640;
static const unsigned int SCREEN_HEIGHT = 480;
static const unsigned int SCREEN_DEPTH = 16;

#include "gamecontroller.h"
#include "input.h"
#include "visualization.h"
#include "sound.h"
#include "physics.h"


#endif /* FLIPPAR_H_ */
