#pragma once
#include "gameobject.h"
#include "physics.h"

class Ball :
	public GameObject
{
public:
	Ball(std::string filename, Physics* physics);
	
	~Ball();

	void stop();	//sets linear and rotational velocity to 0	

	void addForceXYZ(double x, double y, double z);
	void draw();
	bool hasValidPosition();

protected:
	double	m_radius;
	GLuint m_gllist;
private:
	Ball();
};

