#pragma once

#include "flippAR.h"
#include "input.h"
#include "visualization.h"
#include "sound.h"
#include "physics.h"
#include "ball.h"


class GameController
{
	Input* m_input;
	Visualization* m_viz;
	Sound* m_sound;
	Physics* m_physics;
	SDL_Surface * m_MainWindow;                       
	int m_VideoFlags;    
	int m_balls_left;
 
public:
	GameController(void);
	~GameController(void);
	void mainloop(void);
	void CreateMyWindow(const char * strWindowName, int width, int height);
	void SetupPixelFormat(void);
	void Init_Window(void);
};
