
#ifdef WIN32

//#pragma comment(lib, "glaux.lib")
//#pragma comment(lib, "glu32.lib")
//#pragma comment(lib, "Opengl32.lib")
#pragma comment(lib, "../lib/SDL.lib")
#pragma comment(lib, "../lib/SDLmain.lib")
#pragma comment(lib, "../lib/freeglut.lib")
#pragma comment(lib, "../lib/cv.lib")
#pragma comment(lib, "../lib/cxcore.lib")
#pragma comment(lib, "../lib/highgui.lib")
#pragma comment(lib, "../lib/sdl_mixer.lib")
#pragma comment(lib, "../lib/ode.lib")


#endif

#include "flippAR.h"

using namespace std;

GameController* Game = NULL;

int main(int argc, char **argv)
{

	if ( SDL_Init( SDL_INIT_VIDEO | SDL_INIT_AUDIO ) < 0 )
	{
		cerr << "SDL initialization failed: " << SDL_GetError() << endl;
		SDL_Quit( );
	}
	glutInit(&argc, argv);		// Freeglut ;-(, do it somehow better ...

	try
	{
		Game = new GameController();
	}
	catch(std::exception &e)
	{
		MessageBox(NULL, e.what(), "flippAR", MB_OK);
		return -1;		
	}

    Game->SetupPixelFormat();    
    Game->CreateMyWindow("flippAR", SCREEN_WIDTH, SCREEN_HEIGHT);

    Game->Init_Window();

	Game->mainloop();

	delete Game;

	SDL_Quit();

	return 0;
}